Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.classloader
Class JarResourceHandle

    java.lang.Object
      org.apache.axis2.classloader.AbstractResourceHandle
          org.apache.axis2.classloader.JarResourceHandle

All Implemented Interfaces:
  ResourceHandle

    public class JarResourceHandle

extends AbstractResourceHandle

Version:
  $Rev: 704201 $ $Date: 2008-10-14 00:22:25 +0530 (Tue, 14 Oct 2008) $

Constructor Summary
`JarResourceHandle(java.util.jar.JarFile jarFile, java.util.jar.JarEntry jarEntry, java.net.URL codeSource)`

Method Summary
`java.util.jar.Attributes` | `getAttributes()` Return the Attributes of the resource, or null if none.
`java.security.cert.Certificate[]` | `getCertificates()` Return the Certificates of the resource, or null if none.
`java.net.URL` | `getCodeSourceUrl()` Returns the CodeSource URL for the class or resource.
`int` | `getContentLength()` Returns the length of this resource data, or -1 if unknown.
`java.io.InputStream` | `getInputStream()` Returns and InputStream for reading this resource data.
`java.util.jar.Manifest` | `getManifest()` Returns the Manifest of the JAR file from which this resource was loaded, or null if none.
`java.lang.String` | `getName()` Return the name of the resource.
`java.net.URL` | `getUrl()` Returns the URL of the resource.
`boolean` | `isDirectory()` Does this resource refer to a directory.

Methods inherited from class org.apache.axis2.classloader.AbstractResourceHandle
`close, getBytes, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JarResourceHandle

    public JarResourceHandle(java.util.jar.JarFile jarFile,
                             java.util.jar.JarEntry jarEntry,
                             java.net.URL codeSource)
                      throws java.net.MalformedURLException

Throws:
  `java.net.MalformedURLException`

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `ResourceHandle`
  Return the name of the resource. The name is a "/"-separated path name that identifies the resource.

### getUrl

    public java.net.URL getUrl()

  Description copied from interface: `ResourceHandle`
  Returns the URL of the resource.

### getCodeSourceUrl

    public java.net.URL getCodeSourceUrl()

  Description copied from interface: `ResourceHandle`
  Returns the CodeSource URL for the class or resource.

### isDirectory

    public boolean isDirectory()

  Description copied from interface: `ResourceHandle`
  Does this resource refer to a directory. Directory resources are commly used as the basis for a URL in client application. A directory resource has 0 bytes for it's content.

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Description copied from interface: `ResourceHandle`
  Returns and InputStream for reading this resource data.

  Throws:
    `java.io.IOException`

### getContentLength

    public int getContentLength()

  Description copied from interface: `ResourceHandle`
  Returns the length of this resource data, or -1 if unknown.

### getManifest

    public java.util.jar.Manifest getManifest()
                                       throws java.io.IOException

  Description copied from interface: `ResourceHandle`
  Returns the Manifest of the JAR file from which this resource was loaded, or null if none.

  Specified by:
    `getManifest` in interface `ResourceHandle`
  Overrides:
    `getManifest` in class `AbstractResourceHandle`
  Throws:
    `java.io.IOException`

### getAttributes

    public java.util.jar.Attributes getAttributes()
                                           throws java.io.IOException

  Description copied from interface: `ResourceHandle`
  Return the Attributes of the resource, or null if none.

  Specified by:
    `getAttributes` in interface `ResourceHandle`
  Overrides:
    `getAttributes` in class `AbstractResourceHandle`
  Throws:
    `java.io.IOException`

### getCertificates

    public java.security.cert.Certificate[] getCertificates()

  Description copied from interface: `ResourceHandle`
  Return the Certificates of the resource, or null if none.

  Specified by:
    `getCertificates` in interface `ResourceHandle`
  Overrides:
    `getCertificates` in class `AbstractResourceHandle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.